Bug 126615 - Ability to manage gems from the platform dialog
Ability to manage gems from the platform dialog
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Platform
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Krauskopf
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 14:42 UTC by Petr Jiricka
Modified: 2009-02-19 23:01 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2008-02-04 14:42:26 UTC
I went through the following steps:

1. Launch the wizard for creating a Ruby on Rails project
2. Now I wanted to use Mongrel with JRuby. To do that, I need to install the Mongrel gem to JRuby
3. I pressed the Manage button next to JRuby platform to manage its gems
4. The Platform dialog appeared
-> now I wanted to manage the gems for JRuby, but there is no way to do that from this dialog

What I have to do is to cancel all the dialogs and go to Tools -> Ruby Gems, which breaks the workflow.

It would be useful to launch the gem manager from the Ruby Platforms dialog.
Comment 1 Martin Krauskopf 2008-02-21 10:59:35 UTC
This lost a little bit on importance with autodetection of platform in comboboxes. You will likely not need to go to
platform manager dialog now. Rails might be updated directly from wizard. But still valid RFE.
Comment 2 Martin Krauskopf 2008-10-17 13:12:08 UTC
Fixed: #501778f25152
Comment 3 Quality Engineering 2008-10-18 15:53:22 UTC
Integrated into 'main-golden', will be available in build *200810181401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/501778f25152
User: Martin Krauskopf <mkrauskopf@netbeans.org>
Log: Gem Manager button in Platform Manager with prevention of recursive cyclic calls (#126615)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo